Subject: bug#56712: 29.0.50; x-dnd-tests-do-direct-save fails on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jul 2022 19:53:58 +0300

> Date: Mon, 25 Jul 2022 12:24:21 -0400
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: Ken Brown <[email-masked]>
> 
> On 7/24/2022 10:10 PM, Po Lu wrote:
> > It's a bug in the test, which I (hopefully) fixed.  Please give it
> > another try.
> 
> It's fixed, thanks.  So I guessed right about there being a "file:///" that 
> should have been "file://", but I didn't see it staring me in the face in the 
> test file!

FTR: if that test should ever run on native MS-Windows, we'd need that
third slash, because file://c:/foo/bar is not valid on Windows, you
must say file:///c:/foo/bar.

So from my POV, it is best to make that code system-dependent, with
windows-nt using 3 slashes, not 2.